# Contributing to adriconf

Our project is always open to new contributions.
Be it a code change, a bug report on even an idea, get in touch with us and we can try to help.

## Reporting issues

Reporting issues is a good way to contribute to the project. We always appreciate a well-written,
thorough bug reports.

Prior to raising a new issue, check out our issue list to determine whether it already include the
problem you are facing.

A good bug report shouldn't leave others needing to chase you up for more information. Please try to
be as detailed as possible. 
The following questions might help us better understand the issue:

- What were you trying to achieve?
- What brand and models of GPUs you have?
- How many monitors you have?
- Are you running X11? Maybe Wayland?
- Are you using the latest mesa version?
- Is your distribution and adriconf updated?
- What are the expected results?
- What are the received results?
- What are the steps to reproduce the issue?

## Pull requests

If you prefer to make the changes you want/need and send them directly to us, we kindly
ask you to try following the same code style.
There is no official coding style or code standard, so this should not be a blocker,
but please try to at least follow the same way the code is written.

Your Pull Request will only be accepted if the units tests are passing, so test
your changes before submitting it.
